using System;

class Program
{
    static string Rezultat(int a, int b, int x, int y)
    {
        if (a == x)
        {
            if (y < b)
            {
                return "drugi";
            }
            return "nijedan";
        }
        else
        {
            if (b == y)
            {
                return "prvi";
            }
            return "?";
        }
    }
    static void Main()
    {
        string[] trenutniRezultat = Console.ReadLine().Split(' ');
        string[] buduciRezultat = Console.ReadLine().Split(' ');

        int a = int.Parse(trenutniRezultat[0]);
        int b = int.Parse(trenutniRezultat[1]);

        int x = int.Parse(buduciRezultat[0]);
        int y = int.Parse(buduciRezultat[1]);

        Console.WriteLine(Rezultat(a, b, x, y));

        Console.ReadKey();
    }
}